/************************************************************************
     File:        main.cpp

     Author:     
                  Richard Yu Gu
 									Mike Gleicher, gleicher@cs.wisc.edu
    Modifier
                  Yu-Chi Lai, yu-chi@cs.wisc.edu
     
     Comment:     this class implements a very simple widget that responds to 
		              events the idea is to show how to handle events in fltk
  
     Platform:    Visio Studio.Net 2005
*************************************************************************/

#ifndef __EVENTBOX_H
#define __EVENTBOX_H
#pragma warning (push)              // Disable the warning between the block of push and pop

// The list of numbers of warning we will like to disable 
#pragma warning(disable : 4204)
#pragma warning(disable : 4244)
#pragma warning(disable : 4312)
#pragma warning(disable : 4311)
#pragma warning(disable : 4083)
#pragma warning(disable : 4193)
// List of all fltk include file for example #include <Fl/Fl_Window.h>
#include <FL/Fl_Box.H>
#pragma warning (pop) // Enable the warning again

class EventBox: public Fl_Box
{
	public:
		// Constructor
		EventBox(int t, int l, int width, int height);
		// Event handler
		int handle(int e);
};

#endif